/* Import Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&family=Raleway:wght@400;700&display=swap');

body {
    font-family: 'Open Sans', sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #f0f0f0, #c0c0c0);
    height: 100vh;
    overflow-y: scroll;
    overflow-x: hidden;
}

.container {
    background-color: #fff;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 35px;
    width: 500px;
    max-width: 100%;
    box-sizing: border-box;
    overflow: hidden;
}

.logo {
    background-image: url("graphic.webp");
    background-size: cover;
    background-position: center;
    height: 240px;
    width: calc(100% + 70px);
    margin: -35px 100px 30px -35px;
}

h1 {
    font-family: 'Raleway', sans-serif;
    font-size: 26px;
    margin-bottom: 15px;
    font-weight: 700;
    color: #333;
}

p {
    font-size: 16px;
    margin-bottom: 20px;
    color: #666;
    line-height: 1.6;
    text-align: justify;
}

label {
    font-size: 16px;
    display: block;
    margin-bottom: 10px;
    color: #333;
}

textarea {
    width: 100%;
    padding: 15px;
    font-size: 16px;
    border-radius: 10px;
    border: 1px solid #ccc;
    margin-bottom: 20px;
    box-sizing: border-box;
    resize: vertical;
    font-family: 'Open Sans', sans-serif;
}

textarea:focus {
    outline: none;
    border: 1px solid #888;
    transition: border 0.3s ease, transform 0.4s ease-in;
}

button {
    width: 100%;
    padding: 15px;
    font-size: 16px;
    border: none;
    border-radius: 10px;
    background-color: #3286b8;
    color: #fff;
    cursor: pointer;
    font-family: 'Open Sans', sans-serif;
    font-weight: 600;
    text-transform: uppercase;
    transition: background-color 0.3s ease, transform 0.4s ease-in;
}

button:hover {
    background-color: #1a648f;
}

pre {
    background-color: #f7f7f7;
    padding: 15px;
    border-radius: 10px;
    overflow-x: auto;
    margin-top: 20px;
}

@media (max-width: 600px) {
    body {
        display: block;
    }
    
    .container {
        border-radius: 0;
    }
}
